%define name netsaint
%define version 0.0.5b6
%define release 1mdk

Summary: Host/service/network monitoring program
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Monitoring
Source0: http://www.netsaint.org/download/%{name}-%{version}.tar.bz2
Patch0: netsaint-Makefile.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Requires: netsaint-plugins
Packager: Stefan van der Eijk <s.vandereijk@chello.nl>

%description
NetSaint is a program that will monitor hosts and services on your network.
It has the ability to email or page you when a problem arises and when a problem is resolved.
NetSaint is written in C and is designed to run under Linux (and some other *NIX variants) as a background process,
intermittently running checks on various services that you specify. The actual service checks are performed by
separate "plugin" programs which return the status of the checks to NetSaint. Several CGI programs are
included with NetSaint in order to allow you to view the current service status, problem history, 
notification history, and log file via the web. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --with-cgiurl=/cgi-bin/netsaint \
	--with-htmutl=/home/httpd/html/netsaint \
	--prefix=/ \
	--bindir=/usr/sbin \
	--sbindir=/home/httpd/cgi-bin \
	--libexecdir=/usr/libexec/netsaint \
	--datadir=/home/httpd/html \
	--sysconfdir=/etc/netsaint \
	--localstatedir=/var/log/netsaint
make all

%pre
if [ `grep netsaint /etc/passwd | wc -l` = 0 ]; then  
   /usr/sbin/useradd -M -r -d /usr/libexec/netsaint -s /bin/sh \
                     -c "netsaint" netsaint || :
fi
if [ -f /var/lock/subsys/netsaint ]; then
   /etc/rc.d/init.d/netsaint stop
fi

%install
mkdir -p $RPM_BUILD_ROOT/etc/netsaint
#install -m 644 $RPM_SOURCE_DIR/netsaint.cfg $RPM_BUILD_ROOT/etc/netsaint/
install -m 644 netsaint.cfg $RPM_BUILD_ROOT/etc/netsaint/
install -m 644 hosts.cfg $RPM_BUILD_ROOT/etc/netsaint/

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 daemon-init $RPM_BUILD_ROOT/etc/rc.d/init.d/netsaint
install -m 755 init-script $RPM_BUILD_ROOT/etc/rc.d/rc.netsaint

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 base/netsaint $RPM_BUILD_ROOT/usr/sbin/

mkdir -p $RPM_BUILD_ROOT/home/httpd/html/netsaint/docs/images
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/netsaint/images/logos
install -m 644 html/robots.txt $RPM_BUILD_ROOT/home/httpd/html/netsaint
install -m 644 html/docs/robots.txt $RPM_BUILD_ROOT/home/httpd/html/netsaint/docs
install -m 644 html/*.html $RPM_BUILD_ROOT/home/httpd/html/netsaint
install -m 644 html/docs/*.html $RPM_BUILD_ROOT/home/httpd/html/netsaint/docs
install -m 644 html/docs/images/*.gif $RPM_BUILD_ROOT/home/httpd/html/netsaint/docs/images
install -m 644 html/images/*.gif $RPM_BUILD_ROOT/home/httpd/html/netsaint/images
install -m 644 html/images/logos/* $RPM_BUILD_ROOT/home/httpd/html/netsaint/images/logos

mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin/netsaint
install -m 755 cgi/*.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin/netsaint/
install -m 644 nscgi.cfg $RPM_BUILD_ROOT/home/httpd/cgi-bin/

mkdir -p $RPM_BUILD_ROOT/var/log/netsaint
mkdir -p $RPM_BUILD_ROOT/usr/lib/netsaint/var

%post
/sbin/chkconfig --add netsaint

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/netsaint ]; then
      /etc/rc.d/init.d/netsaint stop
   fi
   /sbin/chkconfig --del netsaint
fi
   
%postun
if [ $1 = 0 ]; then
   if [ `grep netsaint /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel netsaint
      /usr/sbin/groupdel netsaint
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog INSTALL LICENSE README UPGRADING
%config /etc/netsaint/hosts.cfg
%config /etc/netsaint/netsaint.cfg
%config /etc/rc.d/
/home/httpd/cgi-bin/netsaint
/home/httpd/cgi-bin/nscgi.cfg
/home/httpd/html/netsaint
%attr(-,netsaint,netsaint)/var/log/netsaint
/usr/sbin/netsaint
/usr/lib/netsaint

%changelog
* Sun Apr 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.5b6-1mdk
- fix file section
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl>

* Sun Apr 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 
- Upgraded to 0.0.5b6

* Mon Mar 27 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b5

* Thu Mar 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Updated some permisions

* Tue Feb 29 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b4

* Tue Jan 18 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b3

* Thu Jan 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b2

* Wed Jan 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Fixed spec file so non-root user can build it
- Moved patch into source file --> patch gave a "fg: no job control" error
- bzip2-ed main source

* Tue Oct 19 1999 Mike McHenry <mmchen@minn.net) (0.0.4-2)
- Fixed init.d scripts to better fit new Redhat init.d script formats

* Fri Sep 03 1999 Mike McHenry <mmchen@minn.net> (0.0.4-1)
- Upgraded package from 0.0.4b4 to 0.0.4

* Mon Aug 16 1999 Mike McHenry <mmchen@minn.net>
- First RPM build (0.0.4b4)
